TLS client certificate

## Functions

char * | ulfius_export_client_certificate_pem (const struct _u_request *request)
int | ulfius_import_client_certificate_pem (struct _u_request *request, const char *str_cert)

## Detailed Description

TLS client certificate management functions

## Function Documentation

## ulfius_export_client_certificate_pem()

char * ulfius_export_client_certificate_pem | ( | const struct _u_request * | request | ) |

ulfius_export_client_certificate_pem Exports the client certificate using PEM format

Parameters

  request | struct _u_request used

Returns
  the certificate in PEM format returned value must be u_free'd after use

## ulfius_import_client_certificate_pem()

int ulfius_import_client_certificate_pem | ( | struct _u_request * | request,
|  | const char * | str_cert
| ) |  |

ulfius_import_client_certificate_pem Imports the client certificate using PEM format

Parameters

  request | struct _u_request used
  str_cert | client certificate in PEM format

Returns
  U_OK on success